#
# Conditional build:
%bcond_without	apidocs		# doxygen based API documentation

Summary:	Library to work with PDF files
Summary(pl.UTF-8):	Biblioteka do obsługi PDF-ów
Name:		podofo
Version:	0.10.3
Release:	2
License:	LGPL v2+
Group:		Libraries
#Source0Download: https://github.com/podofo/podofo/releases
Source0:	https://github.com/podofo/podofo/archive/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	41580f583e3210563cb65478ee8697c0
URL:		https://github.com/podofo/podofo
# for examples only, with -DWANT_BOOST=ON
#BuildRequires:	boost-devel
BuildRequires:	cmake >= 3.16
BuildRequires:	cppunit-devel
%{?with_apidocs:BuildRequires:	doxygen}
BuildRequires:	fontconfig-devel
BuildRequires:	freetype-devel
BuildRequires:	libidn-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libstdc++-devel >= 6:8.1
BuildRequires:	libtiff-devel
BuildRequires:	libunistring-devel
BuildRequires:	lua51-devel
BuildRequires:	openssl-devel
BuildRequires:	rpm-build >= 4.6
BuildRequires:	rpmbuild(macros) >= 1.605
BuildRequires:	texlive-pdftex
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The PoDoFo library is a free portable C++ library which includes
classes to parse a PDF file and modify its contents into memory. The
changes can be written back to disk easily. PoDoFo is designed to
avoid loading large PDF objects into memory until they are required
and can write large streams immediately to disk, so it is possible to
manipulate quite large files with it. PoDoFo uses and relies on
exceptions, so it must be built with them enabled.

%description -l pl.UTF-8
Biblioteka PoDoFo jest darmową przenośną biblioteką C++ dostarczjącą
klasy do parsowania plików PDF i modyfikowania ich w pamięci. Zmiany
mogą być ponownie łatwo zapisane na dysk. PoDoFo jest zaprojektowane w
sposób, który pozwala na unikanie ładowania dużych plików PDF do
pamięci, jeżeli nie jest to niezbędne. Pozwala również na zapisywanie
dużych strumieni natychmiast na dysk, co umożliwia manipulowanie
całkiem dużymi plikami. PoDoFo używa i zależne jest od wyjątków, więc
konieczna jest jego budowa z włączoną ich obsługą.

%package devel
Summary:	Header files for PoDoFo library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki PodoFo
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	libstdc++-devel >= 6:8.1
Obsoletes:	podofo-static < 0.10

%description devel
Header files for PoDoFo library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki PoDoFo.

%package apidocs
Summary:	PoDoFo API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki PoDoFo
Group:		Documentation
BuildArch:	noarch

%description apidocs
API and internal documentation for PoDoFo library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki PoDoFo.

%package progs
Summary:	PoDoFo tools
Summary(pl.UTF-8):	Programy narzędziowe PoDoFo
Group:		Applications/Publishing
Requires:	%{name} = %{version}-%{release}

%description progs
PoDoFo tools (currently not supported by upstream).

%description progs -l pl.UTF-8
Programy narzędziowe PoDoFo (obecnie bez wsparcia ze strony projektu).

%package examples
Summary:	PoDoFo examples
Summary(pl.UTF-8):	Przykłady do PoDoFo
Group:		Development/Tools
Requires:	%{name} = %{version}-%{release}

%description examples
PoDoFo examples.

%description examples -l pl.UTF-8
Programy przykładowe do PoDoFo.

%prep
%setup -q

%build
%cmake -B build \
	-DINSTALL_LIBDATA_DIR=%{_libdir} \
	-DPODOFO_BUILD_TOOLS=ON

%{__make} -C build

%if %{with apidocs}
doxygen
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_examplesdir}/%{name}-%{version},%{_libdir}/cmake/%{name},%{_mandir}/man1}

cp -a examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

cp -p man/*.1 $RPM_BUILD_ROOT%{_mandir}/man1

%{__mv} $RPM_BUILD_ROOT%{_datadir}/%{name}/*.cmake $RPM_BUILD_ROOT%{_libdir}/cmake/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS.md CHANGELOG.md CODING-STYLE.md README.md TODO.md
%attr(755,root,root) %{_libdir}/libpodofo.so.*.*.*
%ghost %attr(755,root,root) %{_libdir}/libpodofo.so.2

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libpodofo.so
%{_includedir}/podofo
%{_pkgconfigdir}/libpodofo.pc
%{_libdir}/cmake/%{name}

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%doc doc/html
%endif

%files progs
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/podofobox
%attr(755,root,root) %{_bindir}/podofocolor
%attr(755,root,root) %{_bindir}/podofocountpages
%attr(755,root,root) %{_bindir}/podofocrop
%attr(755,root,root) %{_bindir}/podofoencrypt
%attr(755,root,root) %{_bindir}/podofogc
%attr(755,root,root) %{_bindir}/podofoimg2pdf
%attr(755,root,root) %{_bindir}/podofoimgextract
%attr(755,root,root) %{_bindir}/podofoimpose
%attr(755,root,root) %{_bindir}/podofoincrementalupdates
%attr(755,root,root) %{_bindir}/podofomerge
%attr(755,root,root) %{_bindir}/podofonooc
%attr(755,root,root) %{_bindir}/podofopages
%attr(755,root,root) %{_bindir}/podofopdfinfo
%attr(755,root,root) %{_bindir}/podofosign
%attr(755,root,root) %{_bindir}/podofotxt2pdf
%attr(755,root,root) %{_bindir}/podofotxtextract
%attr(755,root,root) %{_bindir}/podofouncompress
%attr(755,root,root) %{_bindir}/podofoxmp
%{_mandir}/man1/podofobox.1*
%{_mandir}/man1/podofocolor.1*
%{_mandir}/man1/podofocountpages.1*
%{_mandir}/man1/podofocrop.1*
%{_mandir}/man1/podofoencrypt.1*
%{_mandir}/man1/podofogc.1*
%{_mandir}/man1/podofoimg2pdf.1*
%{_mandir}/man1/podofoimgextract.1*
%{_mandir}/man1/podofoimpose.1*
%{_mandir}/man1/podofoincrementalupdates.1*
%{_mandir}/man1/podofomerge.1*
%{_mandir}/man1/podofopages.1*
%{_mandir}/man1/podofopdfinfo.1*
%{_mandir}/man1/podofotxt2pdf.1*
%{_mandir}/man1/podofotxtextract.1*
%{_mandir}/man1/podofouncompress.1*
%{_mandir}/man1/podofoxmp.1*

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}
%changelog
* Sun Jul 13 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/podofo.git;a=log;h=master

* Sun Jul 13 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> 101f490
- Release 2 (by relup.sh)

* Sun Feb 11 2024 Jakub Bogusz <qboosh@pld-linux.org> 82becc8
- updated to 0.10.3 (security fixes)

* Wed Aug 16 2023 Jakub Bogusz <qboosh@pld-linux.org> fe310df
- restore tools (with current status info in description), obsolete dropped -static package, drop no longer used WANT_LIB64 option

* Sat Jul 29 2023 Jan Rękorajski <baggins@pld-linux.org> 768af52
- up to 0.10.1

* Sun Jan 29 2023 Jakub Bogusz <qboosh@pld-linux.org> 7b862b5
- added cppunit patch (fixes build with recent gcc)

* Sat Jan 28 2023 Jakub Bogusz <qboosh@pld-linux.org> 7fb90eb
- updated to 0.9.8 (new soname)
- removed obsolete fix-broken-test patch

* Fri Sep 24 2021 Jan Rękorajski <baggins@pld-linux.org> 4fa5e49
- rebuild with openssl 3.0.0

* Sun Feb 28 2021 Jan Rękorajski <baggins@pld-linux.org> 5ece7f7
- unconditional noarch subpackages

* Wed Dec 26 2018 Jakub Bogusz <qboosh@pld-linux.org> 346d9b3
- BR: libunistring-devel

* Sun Nov 25 2018 Jan Rękorajski <baggins@pld-linux.org> 4ee7bac
- "fix" broken test target
- rel 2

* Tue Sep 18 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 7f13988
- up to 0.9.6

* Sat Sep 15 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 71c27c9
- release 3 (by relup.sh)

* Sat Mar 21 2015 Elan Ruusamäe <glen@delfi.ee> 1a3a170
- fix libdir install on x32

* Fri Mar 20 2015 Elan Ruusamäe <glen@delfi.ee> 3720b91
- cleanup BR, noarch apidocs subpackage

* Sun Nov 16 2014 Jakub Bogusz <qboosh@pld-linux.org> 1aafa81
- updated to 0.9.3
- added build patch (fixes unit tests build)

* Sat Nov 02 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 074ffbb
- up to 0.9.2

* Tue Oct 29 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 7031b9b
- release 6 (by relup.sh)

* Tue Jun 26 2012 hawk <hawk@pld-linux.org> a945ea6
- drop Titanium stuff

* Sat Feb 11 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 2e90928
- release 5

* Tue Feb 07 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> a56f54c
- release 4

